import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { PostsModule } from './posts/posts.module';
import { TypeOrmModule } from "@nestjs/typeorm";
import { TypeOrmConfigService } from "./TypeOrmConfigService.service";
// import { TypeOrmLegacyService } from "./TypeOrmLegacyService.service";

require("dotenv").config();

@Module({
  imports: [
    TypeOrmModule.forRootAsync({
      useClass: TypeOrmConfigService,
    }),
    PostsModule
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
