import { Injectable } from '@nestjs/common';
import * as vault from 'node-vault';
require('dotenv').config();
@Injectable()
export class VaultService {
  private vaultClient: any;

  constructor() {
    // Initialize the vault client
    this.vaultClient = vault({
      apiVersion: 'v2',
      endpoint: process.env.VAULT_ADDR,
      token: process.env.VAULT_TOKEN,
    });
  }

  async readSecret(secretPath: string): Promise<any> {
    try {
      const roleId = process.env.ROLE_ID;
      const secretId = process.env.SECRET_ID;

      const result = await this.vaultClient.approleLogin({
        role_id: roleId,
        secret_id: secretId,
      });
      this.vaultClient.token = result.auth.client_token;
      const secretData = await this.vaultClient.read(secretPath);
      // secretpath is the path in vault where you have stored your secrets
      return secretData.data;
    } catch (error) {
      console.error('Error reading secret from vault:', error);
      throw error;
    }
  }

}
